"""vjsk_load用テストフィクスチャoverride"""
import os

import boto3
import pytest

from src.batch.vjsk.vjsk_recv_file_mapper import VjskReceiveFileMapper


@pytest.fixture
def s3_client():
    conn = boto3.client('s3')
    yield conn


@pytest.fixture
def bucket_name():
    return os.environ["JSKULT_DATA_BUCKET"]


@pytest.fixture
def receive_folder():
    return os.environ["JSKULT_DATA_FOLDER_RECV"]


@pytest.fixture
def mapper():
    return VjskReceiveFileMapper()

# @pytest.fixture
# def init_Load_ok(s3_client, bucket_name, receive_folder):
#     # setup

#     s3_client.put_object(Bucket=bucket_name,
#                          Key=f'{receive_folder}/stock_slip_data_00000000000000.gz', Body=b'aaaaaaaaaaaaaaa')
#     s3_client.put_object(Bucket=bucket_name,
#                          Key=f'{receive_folder}/slip_data_00000000000000.gz', Body=b'aaaaaaaaaaaaaaa')
#     s3_client.put_object(Bucket=bucket_name,
#                          Key=f'{receive_folder}/org_cnv_mst_00000000000000.gz', Body=b'aaaaaaaaaaaaaaa')

#     # teardown
